header {
    position: fixed;
     top: -100px;
    left: 0;
    width: 100%;
    transition: top 1s ease;
    z-index: 9999;
    padding: 10px 0px;
    background: #fff;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}
#navbar.show {
    top: 0;
}
header .container {
    display: flex;
    position: relative;
}

.logo-container {
  flex: 1;
  display: flex;
  align-items: center;
}

.nav-btn {
  flex: 3;
  display: flex;
}

.nav-links {
  flex: 2;
}

.log-sign {
    display: flex;
    justify-content: right;
    align-items: center;
    flex: 1;
}
.btn.transparent img {
    animation: ringing 5s 
ease-in-out infinite;
    width: 16px;
}
.btn.transparent:hover{
  transform: scale(1.03);
  transition: all .5s linear;
}

.btn {
    display: inline-block;
    font-weight: 500;
    font-size: 18px;
    transition: .3s;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    gap: 10px;
    font-family: "Montserrat", sans-serif;
    transition: all .5s linear;
    padding: 0;
}

.nav-links > ul {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    margin: 0;
}

.nav-link {
  position: relative;
}

.nav-link > a {
  line-height: 3rem;
  color: #202020;
  padding: 0 20px;
  font-size: 16px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  transition: .5s;
  font-weight: 500;
  text-decoration: none;
  font-family: "Montserrat", sans-serif;
}

.nav-link:hover > a {
  color: #FFBF00;
}
.nav-link:hover > .dropdown,
.dropdown-link:hover>.dropdown {
  transform: translate(0, 0);
  opacity: 1;
  pointer-events: auto;
}

.hamburger-menu-container {
  flex: 1;
  display: none;
  align-items: center;
  justify-content: flex-end;
}

.hamburger-menu {
  width: 2.5rem;
  height: 2.5rem;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.hamburger-menu div {
  width: 1.6rem;
  height: 2px;
  border-radius: 3px;
  background-color: #000;
  position: relative;
  z-index: 1001;
  transition: .5s;
}

.hamburger-menu div:before,
.hamburger-menu div:after {
  content: '';
  position: absolute;
  width: inherit;
  height: inherit;
  background-color: #000;
  border-radius: 3px;
  transition: .5s;
}

.hamburger-menu div:before {
  transform: translateY(-7px);
}

.hamburger-menu div:after {
  transform: translateY(7px);
}

#check {
  position: absolute;
  top: 50%;
  right: 1.5rem;
  transform: translateY(-50%);
  width: 2.5rem;
  height: 2.5rem;
  z-index: 90000;
  cursor: pointer;
  opacity: 0;
  display: none;
}

#check:checked ~ .hamburger-menu-container .hamburger-menu div {
  background-color: transparent;
}

#check:checked ~ .hamburger-menu-container .hamburger-menu div:before {
  transform: translateY(0) rotate(-45deg);
}

#check:checked ~ .hamburger-menu-container .hamburger-menu div:after {
  transform: translateY(0) rotate(45deg);
}

@keyframes animation {
  from {
    opacity: 0;
    transform: translateY(15px);
  }

  to {
    opacity: 1;
    transform: translateY(0px);
  }
}

@media (max-width: 920px) {
  .hamburger-menu-container {
    display: flex;
	padding-right: 15px;  
  }

  #check {
    display: block;
  }

    .nav-btn {
        position: fixed;
        height: 100vh;
        top: 0;
        right: 0;
        width: 300px;
        background-color: #fff;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        overflow-x: hidden;
        overflow-y: auto;
        transform: translateX(100%);
        transition: .65s;
        padding-top: 50px;
    }

  #check:checked ~ .nav-btn {
    transform: translateX(0);
  }

  #check:checked ~ .nav-btn .nav-link,
  #check:checked ~ .nav-btn .log-sign {
    animation: animation .5s ease forwards var(--i);
  }

  .nav-links {
    flex: initial;
    width: 100%;
  }

  .nav-links > ul {
    flex-direction: column;
  }

  #navbar .nav-link {
    width: 100%;
    opacity: 0;
    transform: translateY(15px);
  }

    .nav-link > a {
        line-height: 1;
        padding: 20px;
        border-bottom: 1px solid #00000014;
    }
  .nav-link:hover > a {
    transform: scale(1);
    background-color: var(--clr-nav-hover);
  }

  .dropdown,
  .dropdown.second {
    position: initial;
    top: initial;
    left: initial;
    transform: initial;
    opacity: 1;
    pointer-events: auto;
    width: 100%;
    padding: 0;
    background-color: var(--clr-dropdown-hov);
    display: none;
  }

  .nav-link:hover > .dropdown,
  .dropdown-link:hover>.dropdown {
    display: block;
  }

  .nav-link:hover > a > i,
  .dropdown-link:hover>a>i {
    transform: rotate(360deg);
  }

  .dropdown-link > a {
    background-color: transparent;
    color: var(--clr-light);
    padding: 1.2rem 2rem;
    line-height: 1;
  }

  .dropdown.second .dropdown-link > a {
    padding: 1.2rem 2rem 1.2rem 3rem;
  }

  .dropdown.second .dropdown.second .dropdown-link > a {
    padding: 1.2rem 2rem 1.2rem 4rem;
  }

  .dropdown-link:not(:nth-last-child(2)) {
    border-bottom: none;
  }

  .arrow {
    z-index: 1;
    background-color: var(--clr-btn);
    left: 10%;
    transform: scale(1.1) rotate(45deg);
    transition: .5s;
  }

  .nav-link:hover .arrow {
    background-color: var(--clr-nav-hover);
  }

  .dropdown .dropdown .arrow {
    display: none;
  }

  .dropdown-link:hover > a {
    background-color: var(--clr-dropdown-link-hov);
  }

  .dropdown-link:first-child:hover ~ .arrow {
    background-color: var(--clr-nav-hover);
  }

  .nav-link > a > i {
    font-size: 1.1rem;
    transform: rotate(-90deg);
    transition: .7s;
  }

  .dropdown i {
    font-size: 1rem;
    transition: .7s;
  }

    .log-sign {
        flex: initial;
        width: 100%;
        padding: 10px 20px;
        justify-content: flex-start;
        opacity: 0;
        transform: translateY(15px);
        background: #ffc109;
    }
}